<?php 
	if(!isset($_SESSION))
		session_start();
	if (!isset($_SESSION['usuarioLogin']) || $_SESSION['usuarioLogin'] == ""){
		session_unset();
		session_destroy();
		header("Location: login.php");
		exit();
	}
?>
<?php
	require_once('../../Connections/catalogo.php');
	
	$usuarios = $mysqli->query("SELECT * FROM usuarios");
	
	if(!$usuarios)
		echo "Error: " . $mysqli->error;	
?> 
<div class="heading">
    <div class="col">Editar</div>
    <div class="col">Usuario</div>
    <div class="col">Email</div>
    <div class="col">Eliminar</div>
</div>
<?php 
if ($usuarios->num_rows > 0){
	while ($row = $usuarios->fetch_object()){ 
	?>
		<div class="table-row">
			<div class="col">
            	<a href='javascript:MostrarAltaEditar("usuarios", <?php echo $row->id ?>)'>
            		<img src="imagenes/editar.png" width="48" height="48" />
               	</a>
           	</div> 
			<div class="col"><?php echo $row->usuario ?></div> 
			<div class="col"><?php echo $row->email ?></div> 
			<div class="col">
            	<a href='javascript:confirmarEliminar("usuarios", <?php echo $row->id ?>)'>	
                	<img src="imagenes/power-on-off.png" width="48" height="48" />
                </a>
            </div>
		</div>           
	<?php
	}
}   
else{
	echo "No existen usuarios.";
}
?>
                

